Bug 187821 - New port deskutils/note
Summary: New port deskutils/note
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Danilo Egea Gondolfo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-21 16:50 UTC by Matthias Fechner
Modified: 2014-03-23 01:00 UTC (History)
0 users

See Also:


Attachments
note.shar (2.08 KB, text/plain)
2014-03-21 16:50 UTC, Matthias Fechner
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2014-03-21 16:50:00 UTC
	Shell based tool to manage passwords in an encrypted container.

Fix: Version 1.3.18
How-To-Repeat: 	Just install attached port
Comment 1 Edwin Groothuis freebsd_committer 2014-03-21 16:50:05 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Danilo Egea Gondolfo freebsd_committer 2014-03-22 23:41:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danilo

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-03-23 00:53:01 UTC
Author: danilo
Date: Sun Mar 23 00:52:57 2014
New Revision: 348821
URL: http://svnweb.freebsd.org/changeset/ports/348821
QAT: https://qat.redports.org/buildarchive/r348821/

Log:
  - Add the new port: deskutils/note
  - Pass maintainership to submitter
  
  This is a small console program written in
  perl, which allows you to manage notes similar
  to programs like "knotes" from commandline.
  
  PR:		ports/187821
  Submitted by:	Matthias Fechner <idefix@fechner.net>

Added:
  head/deskutils/note/
  head/deskutils/note/Makefile   (contents, props changed)
  head/deskutils/note/distinfo   (contents, props changed)
  head/deskutils/note/pkg-descr   (contents, props changed)
  head/deskutils/note/pkg-plist   (contents, props changed)
Modified:
  head/deskutils/Makefile

Modified: head/deskutils/Makefile
==============================================================================
--- head/deskutils/Makefile	Sun Mar 23 00:41:46 2014	(r348820)
+++ head/deskutils/Makefile	Sun Mar 23 00:52:57 2014	(r348821)
@@ -151,6 +151,7 @@
     SUBDIR += nautilus-locked-folder
     SUBDIR += nautilus-open-terminal
     SUBDIR += nautilus-sendto
+    SUBDIR += note
     SUBDIR += notecase
     SUBDIR += notification-daemon
     SUBDIR += notify-osd

Added: head/deskutils/note/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/note/Makefile	Sun Mar 23 00:52:57 2014	(r348821)
@@ -0,0 +1,16 @@
+# $FreeBSD$
+
+PORTNAME=	note
+PORTVERSION=	1.3.18
+CATEGORIES=	deskutils perl5
+MASTER_SITES=	http://www.daemon.de/idisk/Apps/note/
+
+MAINTAINER=	idefix@fechner.net
+COMMENT=	Console based tool to handle encrypted notes
+
+LICENSE=	GPLv1
+
+USES=		perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/deskutils/note/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/note/distinfo	Sun Mar 23 00:52:57 2014	(r348821)
@@ -0,0 +1,2 @@
+SHA256 (note-1.3.18.tar.gz) = ba3b4db2709ce4e662b205254dfc83a27ff6912316e80a8ed1e3b52a14847071
+SIZE (note-1.3.18.tar.gz) = 52108

Added: head/deskutils/note/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/note/pkg-descr	Sun Mar 23 00:52:57 2014	(r348821)
@@ -0,0 +1,5 @@
+This is a small console program written in
+perl, which allows you to manage notes similar
+to programs like "knotes" from commandline.
+
+WWW: http://www.daemon.de/NOTE

Added: head/deskutils/note/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/deskutils/note/pkg-plist	Sun Mar 23 00:52:57 2014	(r348821)
@@ -0,0 +1,22 @@
+bin/note
+%%PERL5_MAN3%%/NOTEDB::binary.3.gz
+%%PERL5_MAN3%%/NOTEDB::dbm.3.gz
+%%PERL5_MAN3%%/NOTEDB::dumper.3.gz
+%%PERL5_MAN3%%/NOTEDB::general.3.gz
+%%PERL5_MAN3%%/NOTEDB::mysql.3.gz
+%%PERL5_MAN3%%/NOTEDB::pwsafe3.3.gz
+%%PERL5_MAN3%%/NOTEDB::text.3.gz
+%%PERL5_MAN3%%/note.3.gz
+%%SITE_PERL%%/NOTEDB.pm
+%%SITE_PERL%%/NOTEDB/README
+%%SITE_PERL%%/NOTEDB/binary.pm
+%%SITE_PERL%%/NOTEDB/dbm.pm
+%%SITE_PERL%%/NOTEDB/dumper.pm
+%%SITE_PERL%%/NOTEDB/general.pm
+%%SITE_PERL%%/NOTEDB/mysql.pm
+%%SITE_PERL%%/NOTEDB/pwsafe3.pm
+%%SITE_PERL%%/NOTEDB/text.pm
+%%SITE_PERL%%/mach/auto/NOTEDB/.packlist
+%%SITE_PERL%%/note.pod
+@dirrm %%SITE_PERL%%/mach/auto/NOTEDB
+@dirrm %%SITE_PERL%%/NOTEDB
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Danilo Egea Gondolfo freebsd_committer 2014-03-23 00:53:49 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!